Compiling ffmpeg version n3.4.5

classic Classic list List threaded Threaded
11 messages Options
Reply | Threaded
Open this post in threaded view
|

Compiling ffmpeg version n3.4.5

Shay Nagar
Hello,

I trying to compile ffmpeg like this
"PKG_CONFIG_PATH=/usr/local/src/ffmpeg/lib/pkgconfig ./configure
--prefix=/opt/ffmpeg --extra-cflags=-I/opt/ffmpeg/include
--extra-ldflags=-L/opt/ffmpeg/lib --pkg-config-flags=--static
--bindir=/opt/ffmpeg/bin --enable-openssl --enable-gpl --enable-nonfree
--enable-libfreetype --enable-libtheora --enable-libvpx --enable-libx264
--enable-libx265"

I got an error "ERROR: freetype2 not found",  I installed freetype-devel
version 2.8 using yum.

I would appreciate any advice.
_______________________________________________
ffmpeg-user mailing list
[hidden email]
https://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".
Reply | Threaded
Open this post in threaded view
|

Re: Compiling ffmpeg version n3.4.5

Brainiarc7
On Thu, Apr 4, 2019, 09:27 Shay Nagar <[hidden email]> wrote:

> Hello,
>
> I trying to compile ffmpeg like this
> "PKG_CONFIG_PATH=/usr/local/src/ffmpeg/lib/pkgconfig ./configure
> --prefix=/opt/ffmpeg --extra-cflags=-I/opt/ffmpeg/include
> --extra-ldflags=-L/opt/ffmpeg/lib --pkg-config-flags=--static
> --bindir=/opt/ffmpeg/bin --enable-openssl --enable-gpl --enable-nonfree
> --enable-libfreetype --enable-libtheora --enable-libvpx --enable-libx264
> --enable-libx265"
>
> I got an error "ERROR: freetype2 not found",  I installed freetype-devel
> version 2.8 using yum.
>
> I would appreciate any advice.
>

Is there a particular reason as to why you're compiling that specific
FFmpeg version?

On this mailing list, only ffmpeg git is supported

>
_______________________________________________
ffmpeg-user mailing list
[hidden email]
https://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".
Reply | Threaded
Open this post in threaded view
|

Re: Compiling ffmpeg version n3.4.5

Shay Nagar
This version compliance with our cv team. we worked on version n3.3.9 and
now we want to update our prod server to n3.4.5

On Thu, Apr 4, 2019 at 9:33 AM Dennis Mungai <[hidden email]> wrote:

> On Thu, Apr 4, 2019, 09:27 Shay Nagar <[hidden email]> wrote:
>
> > Hello,
> >
> > I trying to compile ffmpeg like this
> > "PKG_CONFIG_PATH=/usr/local/src/ffmpeg/lib/pkgconfig ./configure
> > --prefix=/opt/ffmpeg --extra-cflags=-I/opt/ffmpeg/include
> > --extra-ldflags=-L/opt/ffmpeg/lib --pkg-config-flags=--static
> > --bindir=/opt/ffmpeg/bin --enable-openssl --enable-gpl --enable-nonfree
> > --enable-libfreetype --enable-libtheora --enable-libvpx --enable-libx264
> > --enable-libx265"
> >
> > I got an error "ERROR: freetype2 not found",  I installed freetype-devel
> > version 2.8 using yum.
> >
> > I would appreciate any advice.
> >
>
> Is there a particular reason as to why you're compiling that specific
> FFmpeg version?
>
> On this mailing list, only ffmpeg git is supported
>
> >
> _______________________________________________
> ffmpeg-user mailing list
> [hidden email]
> https://ffmpeg.org/mailman/listinfo/ffmpeg-user
>
> To unsubscribe, visit link above, or email
> [hidden email] with subject "unsubscribe".
_______________________________________________
ffmpeg-user mailing list
[hidden email]
https://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".
Reply | Threaded
Open this post in threaded view
|

Re: Compiling ffmpeg version n3.4.5

Reindl Harald


Am 04.04.19 um 08:39 schrieb Shay Nagar:
> This version compliance with our cv team. we worked on version n3.3.9 and
> now we want to update our prod server to n3.4.5

punch your cv team in the face given that jump from 3.3 to 3.4 in 2019
is nonsense, when your underlying operating system is compliance with
the same cv team i guess your freetype-devel is too old

> On Thu, Apr 4, 2019 at 9:33 AM Dennis Mungai <[hidden email]> wrote:
>
>> On Thu, Apr 4, 2019, 09:27 Shay Nagar <[hidden email]> wrote:
>>
>>> Hello,
>>>
>>> I trying to compile ffmpeg like this
>>> "PKG_CONFIG_PATH=/usr/local/src/ffmpeg/lib/pkgconfig ./configure
>>> --prefix=/opt/ffmpeg --extra-cflags=-I/opt/ffmpeg/include
>>> --extra-ldflags=-L/opt/ffmpeg/lib --pkg-config-flags=--static
>>> --bindir=/opt/ffmpeg/bin --enable-openssl --enable-gpl --enable-nonfree
>>> --enable-libfreetype --enable-libtheora --enable-libvpx --enable-libx264
>>> --enable-libx265"
>>>
>>> I got an error "ERROR: freetype2 not found",  I installed freetype-devel
>>> version 2.8 using yum.
>>>
>>> I would appreciate any advice.
>>>
>>
>> Is there a particular reason as to why you're compiling that specific
>> FFmpeg version?
>>
>> On this mailing list, only ffmpeg git is supported
_______________________________________________
ffmpeg-user mailing list
[hidden email]
https://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".
Reply | Threaded
Open this post in threaded view
|

Re: Compiling ffmpeg version n3.4.5

Moritz Barsnick
In reply to this post by Shay Nagar
On Thu, Apr 04, 2019 at 09:39:51 +0300, Shay Nagar wrote:
> On Thu, Apr 4, 2019 at 9:33 AM Dennis Mungai <[hidden email]> wrote:
> > Is there a particular reason as to why you're compiling that specific
> > FFmpeg version?
> This version compliance with our cv team. we worked on version n3.3.9 and
> now we want to update our prod server to n3.4.5

Is this for ABI/API compatibility, or for command line? For the latter,
latest ffmpeg should be just fine, apart from very minor changes.

BTW, 3.4.*6* is latest in the 3.x series.

> > > I trying to compile ffmpeg like this
> > > "PKG_CONFIG_PATH=/usr/local/src/ffmpeg/lib/pkgconfig ./configure
> > > --prefix=/opt/ffmpeg --extra-cflags=-I/opt/ffmpeg/include
> > > --extra-ldflags=-L/opt/ffmpeg/lib --pkg-config-flags=--static
> > > --bindir=/opt/ffmpeg/bin --enable-openssl --enable-gpl --enable-nonfree
> > > --enable-libfreetype --enable-libtheora --enable-libvpx --enable-libx264
> > > --enable-libx265"
> > >
> > > I got an error "ERROR: freetype2 not found",  I installed freetype-devel
> > > version 2.8 using yum.

Do you actually need libfreetype support? It's only required for the
drawtext and showcqt filters. Easiest fix: Don't include that support
if you don't need it. ;-)

You'll find a quite long log from ./configure in ffbuild/config.log. My
./configure run, using freetype-devel-2.3.x standard RPM (!!), tested
with said ffmpeg-3.4.5, works just fine and gives this relevant output
for freetype:

require_pkg_config libfreetype2 freetype2 ft2build.h FT_FREETYPE_H FT_Init_FreeType
use_pkg_config libfreetype2 freetype2 ft2build.h FT_FREETYPE_H FT_Init_FreeType
check_pkg_config libfreetype2 freetype2 ft2build.h FT_FREETYPE_H FT_Init_FreeType
pkg-config --exists --print-errors freetype2
check_func_headers ft2build.h FT_FREETYPE_H FT_Init_FreeType -I/usr/include/freetype2 -lfreetype
check_ld cc -I/usr/include/freetype2 -lfreetype
check_cc -I/usr/include/freetype2
BEGIN /tmp/ffconf.FTVLOUCB/test.c
    1   #include <ft2build.h>
    2   #include FT_FREETYPE_H
    3   #include <stdint.h>
    4   long check_FT_Init_FreeType(void) { return (long) FT_Init_FreeType; }
    5   int main(void) { int ret = 0;
    6    ret |= ((intptr_t)check_FT_Init_FreeType) & 0xFFFF;
    7   return ret; }
END /tmp/ffconf.FTVLOUCB/test.c
gcc -D_ISOC99_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_POSIX_C_SOURCE=200112 -D_XOPEN_SOURCE=600 -std=c99 -fomit-frame-pointer -pthread -I/usr/include/freetype2 -c -o /tmp/ffconf.FTVLOUCB/test.o /tmp/ffconf.FTVLOUCB/test.c
gcc -Wl,--as-needed -Wl,-z,noexecstack -I/usr/include/freetype2 -o /tmp/ffconf.FTVLOUCB/test /tmp/ffconf.FTVLOUCB/test.o -lfreetype -lm -ldl -llzma -lbz2 -lz -pthread -pthread -lrt

Can you check your config.log, search for the line with "require_pkg_config
libfreetype2", and show us the subsequent relevant lines (probably
everything from there to the end of the file)? Thanks.

Can you show us the output of
$ PKG_CONFIG_PATH=/usr/local/src/ffmpeg/lib/pkgconfig pkg-config --cflags --libs freetype2
?

Moritz
_______________________________________________
ffmpeg-user mailing list
[hidden email]
https://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".
Reply | Threaded
Open this post in threaded view
|

Re: Compiling ffmpeg version n3.4.5

Shay Nagar
> > > Do you actually need libfreetype support? It's only required for the
> > > drawtext and showcqt filters. Easiest fix: Don't include that support
> > > if you don't need it. ;-)

Yes, unfortunately I need libfreetype support otherwise it was really was
quite simple.

> > > Can you check your config.log, search for the line with
"require_pkg_config
> > > libfreetype2", and show us the subsequent relevant lines (probably
> > > everything from there to the end of the file)? Thanks.

require_pkg_config libfreetype freetype2 ft2build.h FT_FREETYPE_H
FT_Init_FreeType
check_pkg_config libfreetype freetype2 ft2build.h FT_FREETYPE_H
FT_Init_FreeType
test_pkg_config libfreetype freetype2 ft2build.h FT_FREETYPE_H
FT_Init_FreeType
pkg-config --exists --print-errors freetype2
check_func_headers ft2build.h FT_FREETYPE_H FT_Init_FreeType
-I/usr/include/freetype2 -I/usr/include/libpng15 -lfreetype -lbz2 -lpng15
-lz -lm
test_ld cc -I/usr/include/freetype2 -I/usr/include/libpng15 -lfreetype
-lbz2 -lpng15 -lz -lm
test_cc -I/usr/include/freetype2 -I/usr/include/libpng15
BEGIN /tmp/ffconf.xiUNmVQJ/test.c
    1   #include <ft2build.h>
    2   #include FT_FREETYPE_H
    3   #include <stdint.h>
    4   long check_FT_Init_FreeType(void) { return (long) FT_Init_FreeType;
}
    5   int main(void) { int ret = 0;
    6    ret |= ((intptr_t)check_FT_Init_FreeType) & 0xFFFF;
    7   return ret; }
END /tmp/ffconf.xiUNmVQJ/test.c
gcc -D_ISOC99_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
-D_POSIX_C_SOURCE=200112 -D_XOPEN_SOURCE=600 -I/opt/ffmpeg/include -std=c11
-fomit-frame-pointer -pthread -I/usr/include/freetype2
-I/usr/include/libpng15 -c -o /tmp/ffconf.xiUNmVQJ/test.o
/tmp/ffconf.xiUNmVQJ/test.c
gcc -L/opt/ffmpeg/lib -Wl,--as-needed -Wl,-z,noexecstack
-I/usr/include/freetype2 -I/usr/include/libpng15 -o
/tmp/ffconf.xiUNmVQJ/test /tmp/ffconf.xiUNmVQJ/test.o -lfreetype -lbz2
-lpng15 -lz -lm
/bin/ld: cannot find -lbz2
collect2: error: ld returned 1 exit status
ERROR: freetype2 not found using pkg-config

> > > Can you show us the output of
> > > $ PKG_CONFIG_PATH=/usr/local/src/ffmpeg/lib/pkgconfig pkg-config
--cflags --libs freetype2

-I/usr/include/freetype2 -I/usr/include/libpng15  -lfreetype

On Thu, Apr 4, 2019 at 12:35 PM Moritz Barsnick <[hidden email]> wrote:

> On Thu, Apr 04, 2019 at 09:39:51 +0300, Shay Nagar wrote:
> > On Thu, Apr 4, 2019 at 9:33 AM Dennis Mungai <[hidden email]> wrote:
> > > Is there a particular reason as to why you're compiling that specific
> > > FFmpeg version?
> > This version compliance with our cv team. we worked on version n3.3.9 and
> > now we want to update our prod server to n3.4.5
>
> Is this for ABI/API compatibility, or for command line? For the latter,
> latest ffmpeg should be just fine, apart from very minor changes.
>
> BTW, 3.4.*6* is latest in the 3.x series.
>
> > > > I trying to compile ffmpeg like this
> > > > "PKG_CONFIG_PATH=/usr/local/src/ffmpeg/lib/pkgconfig ./configure
> > > > --prefix=/opt/ffmpeg --extra-cflags=-I/opt/ffmpeg/include
> > > > --extra-ldflags=-L/opt/ffmpeg/lib --pkg-config-flags=--static
> > > > --bindir=/opt/ffmpeg/bin --enable-openssl --enable-gpl
> --enable-nonfree
> > > > --enable-libfreetype --enable-libtheora --enable-libvpx
> --enable-libx264
> > > > --enable-libx265"
> > > >
> > > > I got an error "ERROR: freetype2 not found",  I installed
> freetype-devel
> > > > version 2.8 using yum.
>
> Do you actually need libfreetype support? It's only required for the
> drawtext and showcqt filters. Easiest fix: Don't include that support
> if you don't need it. ;-)
>
> You'll find a quite long log from ./configure in ffbuild/config.log. My
> ./configure run, using freetype-devel-2.3.x standard RPM (!!), tested
> with said ffmpeg-3.4.5, works just fine and gives this relevant output
> for freetype:
>
> require_pkg_config libfreetype2 freetype2 ft2build.h FT_FREETYPE_H
> FT_Init_FreeType
> use_pkg_config libfreetype2 freetype2 ft2build.h FT_FREETYPE_H
> FT_Init_FreeType
> check_pkg_config libfreetype2 freetype2 ft2build.h FT_FREETYPE_H
> FT_Init_FreeType
> pkg-config --exists --print-errors freetype2
> check_func_headers ft2build.h FT_FREETYPE_H FT_Init_FreeType
> -I/usr/include/freetype2 -lfreetype
> check_ld cc -I/usr/include/freetype2 -lfreetype
> check_cc -I/usr/include/freetype2
> BEGIN /tmp/ffconf.FTVLOUCB/test.c
>     1   #include <ft2build.h>
>     2   #include FT_FREETYPE_H
>     3   #include <stdint.h>
>     4   long check_FT_Init_FreeType(void) { return (long)
> FT_Init_FreeType; }
>     5   int main(void) { int ret = 0;
>     6    ret |= ((intptr_t)check_FT_Init_FreeType) & 0xFFFF;
>     7   return ret; }
> END /tmp/ffconf.FTVLOUCB/test.c
> gcc -D_ISOC99_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
> -D_POSIX_C_SOURCE=200112 -D_XOPEN_SOURCE=600 -std=c99 -fomit-frame-pointer
> -pthread -I/usr/include/freetype2 -c -o /tmp/ffconf.FTVLOUCB/test.o
> /tmp/ffconf.FTVLOUCB/test.c
> gcc -Wl,--as-needed -Wl,-z,noexecstack -I/usr/include/freetype2 -o
> /tmp/ffconf.FTVLOUCB/test /tmp/ffconf.FTVLOUCB/test.o -lfreetype -lm -ldl
> -llzma -lbz2 -lz -pthread -pthread -lrt
>
> Can you check your config.log, search for the line with "require_pkg_config
> libfreetype2", and show us the subsequent relevant lines (probably
> everything from there to the end of the file)? Thanks.
>
> Can you show us the output of
> $ PKG_CONFIG_PATH=/usr/local/src/ffmpeg/lib/pkgconfig pkg-config --cflags
> --libs freetype2
> ?
>
> Moritz
> _______________________________________________
> ffmpeg-user mailing list
> [hidden email]
> https://ffmpeg.org/mailman/listinfo/ffmpeg-user
>
> To unsubscribe, visit link above, or email
> [hidden email] with subject "unsubscribe".
_______________________________________________
ffmpeg-user mailing list
[hidden email]
https://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".
Reply | Threaded
Open this post in threaded view
|

Re: Compiling ffmpeg version n3.4.5

Brainiarc7
On Thu, 4 Apr 2019 at 13:01, Shay Nagar <[hidden email]> wrote:

> > > > Do you actually need libfreetype support? It's only required for the
> > > > drawtext and showcqt filters. Easiest fix: Don't include that support
> > > > if you don't need it. ;-)
>
> Yes, unfortunately I need libfreetype support otherwise it was really was
> quite simple.
>
> > > > Can you check your config.log, search for the line with
> "require_pkg_config
> > > > libfreetype2", and show us the subsequent relevant lines (probably
> > > > everything from there to the end of the file)? Thanks.
>
> require_pkg_config libfreetype freetype2 ft2build.h FT_FREETYPE_H
> FT_Init_FreeType
> check_pkg_config libfreetype freetype2 ft2build.h FT_FREETYPE_H
> FT_Init_FreeType
> test_pkg_config libfreetype freetype2 ft2build.h FT_FREETYPE_H
> FT_Init_FreeType
> pkg-config --exists --print-errors freetype2
> check_func_headers ft2build.h FT_FREETYPE_H FT_Init_FreeType
> -I/usr/include/freetype2 -I/usr/include/libpng15 -lfreetype -lbz2 -lpng15
> -lz -lm
> test_ld cc -I/usr/include/freetype2 -I/usr/include/libpng15 -lfreetype
> -lbz2 -lpng15 -lz -lm
> test_cc -I/usr/include/freetype2 -I/usr/include/libpng15
> BEGIN /tmp/ffconf.xiUNmVQJ/test.c
>     1   #include <ft2build.h>
>     2   #include FT_FREETYPE_H
>     3   #include <stdint.h>
>     4   long check_FT_Init_FreeType(void) { return (long) FT_Init_FreeType;
> }
>     5   int main(void) { int ret = 0;
>     6    ret |= ((intptr_t)check_FT_Init_FreeType) & 0xFFFF;
>     7   return ret; }
> END /tmp/ffconf.xiUNmVQJ/test.c
> gcc -D_ISOC99_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
> -D_POSIX_C_SOURCE=200112 -D_XOPEN_SOURCE=600 -I/opt/ffmpeg/include -std=c11
> -fomit-frame-pointer -pthread -I/usr/include/freetype2
> -I/usr/include/libpng15 -c -o /tmp/ffconf.xiUNmVQJ/test.o
> /tmp/ffconf.xiUNmVQJ/test.c
> gcc -L/opt/ffmpeg/lib -Wl,--as-needed -Wl,-z,noexecstack
> -I/usr/include/freetype2 -I/usr/include/libpng15 -o
> /tmp/ffconf.xiUNmVQJ/test /tmp/ffconf.xiUNmVQJ/test.o -lfreetype -lbz2
> -lpng15 -lz -lm
> /bin/ld: cannot find -lbz2
> collect2: error: ld returned 1 exit status
> ERROR: freetype2 not found using pkg-config
>
> > > > Can you show us the output of
> > > > $ PKG_CONFIG_PATH=/usr/local/src/ffmpeg/lib/pkgconfig pkg-config
> --cflags --libs freetype2
>
> -I/usr/include/freetype2 -I/usr/include/libpng15  -lfreetype
>
> On Thu, Apr 4, 2019 at 12:35 PM Moritz Barsnick <[hidden email]> wrote:
>
> > On Thu, Apr 04, 2019 at 09:39:51 +0300, Shay Nagar wrote:
> > > On Thu, Apr 4, 2019 at 9:33 AM Dennis Mungai <[hidden email]>
> wrote:
> > > > Is there a particular reason as to why you're compiling that specific
> > > > FFmpeg version?
> > > This version compliance with our cv team. we worked on version n3.3.9
> and
> > > now we want to update our prod server to n3.4.5
> >
> > Is this for ABI/API compatibility, or for command line? For the latter,
> > latest ffmpeg should be just fine, apart from very minor changes.
> >
> > BTW, 3.4.*6* is latest in the 3.x series.
> >
> > > > > I trying to compile ffmpeg like this
> > > > > "PKG_CONFIG_PATH=/usr/local/src/ffmpeg/lib/pkgconfig ./configure
> > > > > --prefix=/opt/ffmpeg --extra-cflags=-I/opt/ffmpeg/include
> > > > > --extra-ldflags=-L/opt/ffmpeg/lib --pkg-config-flags=--static
> > > > > --bindir=/opt/ffmpeg/bin --enable-openssl --enable-gpl
> > --enable-nonfree
> > > > > --enable-libfreetype --enable-libtheora --enable-libvpx
> > --enable-libx264
> > > > > --enable-libx265"
> > > > >
> > > > > I got an error "ERROR: freetype2 not found",  I installed
> > freetype-devel
> > > > > version 2.8 using yum.
> >
> > Do you actually need libfreetype support? It's only required for the
> > drawtext and showcqt filters. Easiest fix: Don't include that support
> > if you don't need it. ;-)
> >
> > You'll find a quite long log from ./configure in ffbuild/config.log. My
> > ./configure run, using freetype-devel-2.3.x standard RPM (!!), tested
> > with said ffmpeg-3.4.5, works just fine and gives this relevant output
> > for freetype:
> >
> > require_pkg_config libfreetype2 freetype2 ft2build.h FT_FREETYPE_H
> > FT_Init_FreeType
> > use_pkg_config libfreetype2 freetype2 ft2build.h FT_FREETYPE_H
> > FT_Init_FreeType
> > check_pkg_config libfreetype2 freetype2 ft2build.h FT_FREETYPE_H
> > FT_Init_FreeType
> > pkg-config --exists --print-errors freetype2
> > check_func_headers ft2build.h FT_FREETYPE_H FT_Init_FreeType
> > -I/usr/include/freetype2 -lfreetype
> > check_ld cc -I/usr/include/freetype2 -lfreetype
> > check_cc -I/usr/include/freetype2
> > BEGIN /tmp/ffconf.FTVLOUCB/test.c
> >     1   #include <ft2build.h>
> >     2   #include FT_FREETYPE_H
> >     3   #include <stdint.h>
> >     4   long check_FT_Init_FreeType(void) { return (long)
> > FT_Init_FreeType; }
> >     5   int main(void) { int ret = 0;
> >     6    ret |= ((intptr_t)check_FT_Init_FreeType) & 0xFFFF;
> >     7   return ret; }
> > END /tmp/ffconf.FTVLOUCB/test.c
> > gcc -D_ISOC99_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
> > -D_POSIX_C_SOURCE=200112 -D_XOPEN_SOURCE=600 -std=c99
> -fomit-frame-pointer
> > -pthread -I/usr/include/freetype2 -c -o /tmp/ffconf.FTVLOUCB/test.o
> > /tmp/ffconf.FTVLOUCB/test.c
> > gcc -Wl,--as-needed -Wl,-z,noexecstack -I/usr/include/freetype2 -o
> > /tmp/ffconf.FTVLOUCB/test /tmp/ffconf.FTVLOUCB/test.o -lfreetype -lm -ldl
> > -llzma -lbz2 -lz -pthread -pthread -lrt
> >
> > Can you check your config.log, search for the line with
> "require_pkg_config
> > libfreetype2", and show us the subsequent relevant lines (probably
> > everything from there to the end of the file)? Thanks.
> >
> > Can you show us the output of
> > $ PKG_CONFIG_PATH=/usr/local/src/ffmpeg/lib/pkgconfig pkg-config --cflags
> > --libs freetype2
> > ?
> >
> > Moritz
> > _______________________________________________
>
>
Install this:

yum install bzip2-devel
_______________________________________________
ffmpeg-user mailing list
[hidden email]
https://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".
Reply | Threaded
Open this post in threaded view
|

Re: Compiling ffmpeg version n3.4.5

Reindl Harald
In reply to this post by Shay Nagar


Am 04.04.19 um 12:01 schrieb Shay Nagar:
> /bin/ld: cannot find -lbz2
> collect2: error: ld returned 1 exit status
> ERROR: freetype2 not found using pkg-config

well, by just look at all lines with ERROR you would have seen that
bzip2-devel is missing
_______________________________________________
ffmpeg-user mailing list
[hidden email]
https://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".
Reply | Threaded
Open this post in threaded view
|

Re: Compiling ffmpeg version n3.4.5

Shay Nagar
Thanks, I probably missed this.
It looks like it gone a works now.

On Thu, Apr 4, 2019 at 1:45 PM Reindl Harald <[hidden email]> wrote:

>
>
> Am 04.04.19 um 12:01 schrieb Shay Nagar:
> > /bin/ld: cannot find -lbz2
> > collect2: error: ld returned 1 exit status
> > ERROR: freetype2 not found using pkg-config
>
> well, by just look at all lines with ERROR you would have seen that
> bzip2-devel is missing
> _______________________________________________
> ffmpeg-user mailing list
> [hidden email]
> https://ffmpeg.org/mailman/listinfo/ffmpeg-user
>
> To unsubscribe, visit link above, or email
> [hidden email] with subject "unsubscribe".
_______________________________________________
ffmpeg-user mailing list
[hidden email]
https://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".
Reply | Threaded
Open this post in threaded view
|

Re: Compiling ffmpeg version n3.4.5

Reindl Harald


Am 04.04.19 um 12:56 schrieb Shay Nagar:
> Thanks, I probably missed this.
> It looks like it gone a works now.

learn to build packages for your distribution

cat /rpmbuild/SPECS/ffmpeg.spec | grep BuildRequires
BuildRequires:     bzip2-devel
BuildRequires:     gsm-devel
BuildRequires:     imlib2-devel
BuildRequires:     lame-devel
BuildRequires:     libtheora-devel
BuildRequires:     libva-devel
BuildRequires:     libvdpau-devel
BuildRequires:     SDL-devel
BuildRequires:     x264-devel
BuildRequires:     x265-devel
BuildRequires:     zlib-devel
BuildRequires:     libvpx-devel
BuildRequires:     freetype-devel
BuildRequires:     openssl-devel
BuildRequires:     opus-devel
BuildRequires:     yasm

> On Thu, Apr 4, 2019 at 1:45 PM Reindl Harald <[hidden email]> wrote:
>> Am 04.04.19 um 12:01 schrieb Shay Nagar:
>>> /bin/ld: cannot find -lbz2
>>> collect2: error: ld returned 1 exit status
>>> ERROR: freetype2 not found using pkg-config
>>
>> well, by just look at all lines with ERROR you would have seen that
>> bzip2-devel is missing
_______________________________________________
ffmpeg-user mailing list
[hidden email]
https://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".
Reply | Threaded
Open this post in threaded view
|

Re: Compiling ffmpeg version n3.4.5

Shay Nagar
Thanks for the tip

On Thu, Apr 4, 2019 at 2:07 PM Reindl Harald <[hidden email]> wrote:

>
>
> Am 04.04.19 um 12:56 schrieb Shay Nagar:
> > Thanks, I probably missed this.
> > It looks like it gone a works now.
>
> learn to build packages for your distribution
>
> cat /rpmbuild/SPECS/ffmpeg.spec | grep BuildRequires
> BuildRequires:     bzip2-devel
> BuildRequires:     gsm-devel
> BuildRequires:     imlib2-devel
> BuildRequires:     lame-devel
> BuildRequires:     libtheora-devel
> BuildRequires:     libva-devel
> BuildRequires:     libvdpau-devel
> BuildRequires:     SDL-devel
> BuildRequires:     x264-devel
> BuildRequires:     x265-devel
> BuildRequires:     zlib-devel
> BuildRequires:     libvpx-devel
> BuildRequires:     freetype-devel
> BuildRequires:     openssl-devel
> BuildRequires:     opus-devel
> BuildRequires:     yasm
>
> > On Thu, Apr 4, 2019 at 1:45 PM Reindl Harald <[hidden email]>
> wrote:
> >> Am 04.04.19 um 12:01 schrieb Shay Nagar:
> >>> /bin/ld: cannot find -lbz2
> >>> collect2: error: ld returned 1 exit status
> >>> ERROR: freetype2 not found using pkg-config
> >>
> >> well, by just look at all lines with ERROR you would have seen that
> >> bzip2-devel is missing
> _______________________________________________
> ffmpeg-user mailing list
> [hidden email]
> https://ffmpeg.org/mailman/listinfo/ffmpeg-user
>
> To unsubscribe, visit link above, or email
> [hidden email] with subject "unsubscribe".
_______________________________________________
ffmpeg-user mailing list
[hidden email]
https://ffmpeg.org/mailman/listinfo/ffmpeg-user

To unsubscribe, visit link above, or email
[hidden email] with subject "unsubscribe".